#!/usr/bin/env python

"""
 Shuffle nom et prenom
"""

import django.core.management
import calebasse.settings

django.core.management.setup_environ(calebasse.settings)

import random

from random import randint

from calebasse.actes.models import Act
from calebasse.agenda.models import Event
from calebasse.dossiers.models import PatientRecord, PatientContact
from calebasse.dossiers.models import PatientAddress
from calebasse.personnes.models import People

last = []
first = []
random.seed()
for p in People.objects.all():
    if p.last_name:
        last.append(p.last_name)
    if p.first_name:
        first.append(p.first_name)
len_first = len(first) - 1
len_last = len(last) - 1
for p in People.objects.all():
    p.last_name = last[randint(0, len_last)]
    if len(p.last_name) > 5:
        p.last_name = p.last_name[:-2] + 'zz'
    p.first_name = first[randint(0, len_first)]
    p.save()
    if hasattr(p, "worker"):
        p.worker.initials = p.worker.get_initials()
        p.worker.save()

PatientContact.objects.all().update(social_security_id="3999999999999", contact_comment="", mobile="0606060606")
PatientRecord.objects.all().update(comment="")
Event.objects.all().update(description="")
Act.objects.all().update(comment="")
PatientAddress.objects.all().update(comment="",
		phone="03%d%d040404" % (randint(0, 9), randint(0, 9)),
		street="rue du poulpe", address_complement="")

